
function log(data){
	//console.log(data);
}

var canvas = document.getElementById("gameCanvas");
canvas.height = 400;
canvas.width  = 800;

var mainController = new YOGOAAT.MainController();

mainController.gameController = new YOGOAAT.GameController();
mainController.gameController.soundManager = new YOGOAAT.SoundManager();
mainController.gameController.soundManager.init();

mainController.gameController.frameRate = 1000/60;
mainController.gameController.animationFrameRate = 1000/10;

mainController.gameController.levelLoader = new YOGOAAT.LevelLoader();
mainController.gameController.levelRenderer = new YOGOAAT.Canvas2dLevelRenderer( canvas );
mainController.gameController.levelRenderer.imageManager = new YOGOAAT.ImageManager();

mainController.keyboardManager = new YOGOAAT.Keyboard();
//mainController.scoreManager = new YOGOAAT.FirebaseScoreManager();

mainController.start();  